Method: projects.locations.storagePools.updateBackupConfig

Updates the backup configuration for an ONTAP-mode volume.

HTTP request


POST https://netapp.googleapis.com/v1alpha1/{name=projects/*/locations/*/storagePools/*}:updateBackupConfig

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the StoragePool, in the format: projects/{projectNumber}/locations/{locationId}/storagePools/{poolId}

Request body

The request body contains data with the following structure:

JSON representation
{
  "volumeUuid": string,
  "backupConfig": {
    object (BackupConfig)
  },
  "updateMask": string
}
Fields
volumeUuid

string

Required. The UUID of the ONTAP-mode volume.

backupConfig

object (BackupConfig)

Required. Backup configuration to apply.

updateMask

string (FieldMask format)

Required. Field mask is used to specify the fields to be overwritten in the BackupConfig for the Volume. The fields specified in the updateMask are relative to the resource, not the full request. A field will be overwritten if it is in the mask.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • netapp.storagePools.updateBackupConfig

For more information, see the IAM documentation.